> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cronapi.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete cron

> Delete a cron and all its associated runs

## Path parameters

<ResponseField name="id" type="string" required>
  The UUID of the cron to delete.
</ResponseField>

## Response

Returns a success confirmation. All associated [runs](/concepts/runs) are automatically deleted.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X DELETE https://app.cronapi.dev/api/v1/crons/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
    -H "Authorization: Bearer your_api_key_here"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    `https://app.cronapi.dev/api/v1/crons/${cronId}`,
    {
      method: "DELETE",
      headers: { "Authorization": `Bearer your_api_key_here` },
    }
  );
  const result = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      f"https://app.cronapi.dev/api/v1/crons/{cron_id}",
      headers={"Authorization": "Bearer your_api_key_here"},
  )
  result = response.json()
  ```
</CodeGroup>

```json 200 theme={null}
{
  "success": true
}
```

```json 404 theme={null}
{
  "error": "Cron not found"
}
```
